Bug 497251 - Review Request: libstdc++-docs - Documentation in html for libstdc++
Review Request: libstdc++-docs - Documentation in html for libstdc++
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
: 451619 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 20:35 EDT by Benjamin Kosnik
Modified: 2013-08-09 01:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 12:10:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gcc.spec patch for libstdc++-devel doc enhancements (4.75 KB, patch)
2009-04-28 18:19 EDT, Benjamin Kosnik
no flags Details | Diff
patch 1 (2.13 KB, patch)
2009-04-28 18:20 EDT, Benjamin Kosnik
no flags Details | Diff
patch 2 (542 bytes, patch)
2009-04-28 18:20 EDT, Benjamin Kosnik
no flags Details | Diff
gcc.spec file with libstdc++-devel doc enhancements (73.78 KB, text/plain)
2009-04-28 18:21 EDT, Benjamin Kosnik
no flags Details

  None (edit)
Description Benjamin Kosnik 2009-04-22 20:35:59 EDT
Spec URL: http://people.redhat.com/bkoz/documentation/libstdc++-docs.spec
SRPM URL: http://people.redhat.com/bkoz/documentation/libstdc++-docs-4.4.0-1.fc10.src.rpm
Description: 
The libstdc++-docs package contains documentation for the GNU C++ library.

Included are three components: the manual, doxygen-generated API
information for all files, namespaces and entities, and the frequently
asked questions list. All documentation is provided in html format.
Comment 1 Benjamin Kosnik 2009-04-22 20:39:27 EDT
The man pages could be added to this. These are the man pages:

ftp://gcc.gnu.org/pub/libstdc++/doxygen/libstdc++-man.4.4.0.tar.bz2
Comment 2 Susi Lehtola 2009-04-23 02:38:29 EDT
- The lines
 Obsoletes: libstdc++-docs <= 4.3.0
 Provides: libstdc++-docs = %{version}-%{release}
since they are redundant.

- Please remove the empty %check section.

- Use %{version} in the Source lines and in the %{build} phase.


Once you have added the man pages, I will perform the review.
Comment 3 Jakub Jelinek 2009-04-23 02:43:20 EDT
Isn't all this generated from gcc sources?  What is needed to generate it?  Just doxygen?
If yes I'd say it would be better to ship this as subpackages of gcc, guarded by some spec macro that those who initially bootstrap gcc in a rpm based distro could turn off, so that gcc build doesn't require doxyen.
Comment 4 Susi Lehtola 2009-04-23 03:23:03 EDT
(In reply to comment #3)
> Isn't all this generated from gcc sources?  What is needed to generate it? 
> Just doxygen?
> If yes I'd say it would be better to ship this as subpackages of gcc, guarded
> by some spec macro that those who initially bootstrap gcc in a rpm based distro
> could turn off, so that gcc build doesn't require doxyen.  

Yeah, this package should be part of the gcc package, since libstdc++ is also generated in the gcc srpm.
Comment 5 Benjamin Kosnik 2009-04-24 14:31:46 EDT
I've updated this here:
http://people.redhat.com/bkoz/documentation/

This adds the man packages. This essentially duplicates some of the libstdc++-devel package (html), and so should probably be integrated into that. Jakub, your call.

Here are the dependencies:

1) for api html docs:
doxygen, graphviz

2) for manual html docs:
libxslt, libxml2, docbook-style-xsl

3) for manual pdf:
prince, msttfonts


To eliminate the deps for 2, use the pre-generated libstdc++-v3/doc/html directory in the gcc sources.

To eliminate the deps for 1, use the pre-generated files on gcc.gnu.org.
Comment 6 Benjamin Kosnik 2009-04-28 18:19:56 EDT
Created attachment 341659 [details]
gcc.spec patch for libstdc++-devel doc enhancements


This plus the small patches also attached will generate the doxygen html and man pages for libstdc++-devel. This is configurable via the build_libstdcxx_docs switch in gcc.spec. 

This seems like the way to go, all is ok except that the man pages are not installed in /user/share/man/* but instead in /user/share/docs/libstdc++-devel/.

Not quite sure what is going on there.
Comment 7 Benjamin Kosnik 2009-04-28 18:20:34 EDT
Created attachment 341660 [details]
patch 1
Comment 8 Benjamin Kosnik 2009-04-28 18:20:55 EDT
Created attachment 341661 [details]
patch 2
Comment 9 Benjamin Kosnik 2009-04-28 18:21:34 EDT
Created attachment 341662 [details]
gcc.spec file with libstdc++-devel doc enhancements
Comment 10 Benjamin Kosnik 2009-04-29 14:13:22 EDT
Jakub, I've done this both ways: as maintainer of gcc.spec, can you pick what you want? My suggestion is to mod libstdc++-devel.
Comment 11 Benjamin Kosnik 2009-05-05 14:35:21 EDT
Ping. Can this get merged into the gcc-4.4.0 rpms on the next respin please?
Comment 12 Jakub Jelinek 2009-05-06 09:33:34 EDT
Benjamin, can you please look at
http://koji.fedoraproject.org/scratch/jakub/task_1338267/
and say if that's what you want or not?
If so, I'll do a real build soon.
All I found so far is that I need to remove all *~ files from the html directory.
Comment 13 Susi Lehtola 2009-05-15 12:10:29 EDT
This seems to be merged, closing.
Comment 14 Alexey Torkhov 2009-05-31 05:09:34 EDT
*** Bug 451619 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.